function [X,Y]=get_car_line(X0);

%rappresenta il robot tramite un triangolo
% X0: posizione e orientamento del robot nel riferimento assoluto
% c: colore del robot
% n: numerino disegnato vicino alla figura
% plotout: true/false; se vero esegue il plot
% f: matrice dei segmenti plottati

car=[0.8 0; 0 0.25; 0 -0.25]/2;

%posizione e orientamento del robot
x_car=X0(1);
y_car=X0(2);
t_car=X0(3);

%rotazione
for i=1:3
	car_rot(i,1)=car(i,1)*cos(t_car)-car(i,2)*sin(t_car);
	car_rot(i,2)=car(i,1)*sin(t_car)+car(i,2)*cos(t_car);
end

%traslazione
car_pos(:,1)=car_rot(:,1)+x_car;
car_pos(:,2)=car_rot(:,2)+y_car;

%Line
X=[car_pos(1,1),car_pos(2,1),car_pos(3,1),car_pos(1,1)];
Y=[car_pos(1,2),car_pos(2,2),car_pos(3,2),car_pos(1,2)];


